* PUBH 6400 ;
* program04.sas ;

DATA weight;
 INFILE '~/SAS_Files/tomhs.data';
 INPUT @1 ptid $10. @12 clinic $1. @27 age 2. @30 sex 1. 
       @58 height 4.1 @85 weight 5.1 @140 cholbl; 
 bmi = (weight*703.0768)/(height*height);
RUN;

PROC FREQ DATA=weight;
 TABLES  sex clinic ;
 TITLE 'Frequency Distribution of Clinical Center and Gender';
RUN;

PROC FREQ DATA=weight;
 TABLES sex*clinic/chisq ;
 TITLE 'Cross Tabulation of Clinical Center and Sex';
RUN;

PROC SGPLOT;
 vbar clinic;
 title "Vertical Bar Chart of Clinical Center";
 label clinic = "Clinical Center";
run;

PROC SGPLOT;
 yaxis  label = "Mean Cholesterol" values = (0 to 300 by 50);
 vbar clinic/response=cholbl stat=mean datalabel;
 TITLE 'Mean Cholesterol by Clinical Center';
 label clinic = "Clinical Center";
 format cholbl 5.0;
run;

*---------------------------------------------------------------------------*
  The WHERE statement filters rows of the dataset and does the
  analysis only on selected rows.
*---------------------------------------------------------------------------*;
PROC SGPLOT DATA=weight;
 yaxis  label = "Body Mass Index (BMI)" ;
 xaxis  label = "Age (y)" ;
 reg x=age y=bmi/clm;
 WHERE sex = 2;
 TITLE 'Plot of BMI and Age for Women';
RUN;

PROC CORR DATA=weight;
 VAR bmi age;
 WHERE sex = 2;
 TITLE 'Correlation of BMI and Age for Women';
RUN;

*ods graphics;
* PLOT statement creates regression line high resolution plot;
PROC REG DATA=weight ;
 MODEL bmi=age;
 WHERE sex = 2;
 TITLE 'Simple Linear Regression';
RUN;
QUIT;

