* PUBH 6400 ;
* program07.sas ;
* Creating new variables;

DATA tdata;
 INFILE '~/SAS_Files/tomhs.data';
 INPUT
  @1      ptid         $10.  
  @49     educ           1.
  @123    sbp12          3.
;

* Coding education into 2-levels: College Graduate or Not ;
* This way will code missing values to the value 2. Don't want to do that! ;  
* This is because missing values in SAS are stored as a large negative number;

* The first statment is TRUE if educ is missing;
if educ < 7 then grad1 = 2; else
if educ >=7 then grad1 = 1;

* The next two ways are equivalent and do correct recoding ;
if educ < 7 and educ ne . then grad2 = 2; else
if educ >=7 then grad2 = 1;

* IN is a special function in SAS ;
if educ IN(1,2,3,4,5,6) then grad3 = 2; else
if educ IN(7,8,9) then grad3 = 1;

* Recode sbp12 into 3 levels using if-then-else statements;
if sbp12 =  .   then sbp12c = . ; else
if sbp12 <  120 then sbp12c = 1 ; else
if sbp12 <  140 then sbp12c = 2 ; else
if sbp12 >= 140 then sbp12c = 3;

PROC FREQ DATA=tdata; 
 TABLES educ grad1 grad2 grad3 grad4  ;
 TITLE 'Recoding Education into 2 Categories - grad1 incorrect'; 
RUN;

PROC FREQ DATA=tdata;
 TABLES educ*grad1 educ*grad2/MISSING LIST NOPERCENT NOROW NOCOL ;
 TITLE 'Use Crosstabulation to Verify Recoding'; 
RUN;

PROC FREQ DATA=tdata; 
 TABLES sbp12c sbp12;
 TITLE 'Recoding Systolic BP into 3 Categories';
RUN;
 
