* PUBH 6400 ;
* program09.sas ;
* Functions and arrays;

DATA example;
 INFILE '~/SAS_Files/tomhs.data';
 INPUT  @058 height 4.1
        @085 weight 5.1
        @172 ursod  3.
        @236 (se1-se10) (1.0 + 1);

bmi    = (weight*703.0768)/(height*height);
rbmi1  = ROUND(bmi,1);
lursod = LOG(ursod);

* The MEAN function computes the mean of all non-missing values in the
  variable list. The word OF is needed to tell SAS what follows is a list of
  variables;

seavg = MEAN (OF se1-se10); * Computes the mean of the 10 scores;
semax = MAX  (OF se1-se10); * Computes the maximun of the scores;
semin = MIN  (OF se1-se10); * Computes the minimum of the scores;
RUN;

PROC PRINT DATA = example (OBS=15);
 VAR  bmi rbmi1 rbmi2 seavg semin semax se1 hse1 ;
 TITLE 'Listing of Selected Data for 15 Patients ';
RUN;

PROC FREQ DATA = example;
 TABLES semax;
 TITLE 'Distribution of Worse Side Effect Value';
 TITLE2 'Side Effect Scores Range from 1 to 4';
RUN;

ODS graphics on;
PROC UNIVARIATE DATA = example ;
 VAR ursod lursod;
 qqplot ursod lursod;
 TITLE 'Quantile Plots for Urine Sodium Data';
RUN;

