* PUBH 6400 ;
* program06.sas ;
* Formatting output;

PROC FORMAT;
 VALUE groupF   1 = 'Beta Blocker'  2 = 'Calcium Channel Blocker'
                3 = 'Diuretic'      4 = 'Alpha Blocker' 
     	        5=  'ACE Inhibitor' 6 = 'Placebo';
 VALUE se       1 = 'None' 2 = 'Mild' 3 = 'Moderate' 4 = 'Severe';
 VALUE $clinic 'A' = 'Birmingham'  'B' = 'Chicago'
               'C' = 'Minneapolis' 'D' = 'Pittsburgh' ;
RUN;

DATA tdata ;
 INFILE '~/SAS_Files/tomhs.data';
 INPUT
  @  1     ptid           $10.  @ 12     clinic         $1.
  @ 25     group          1.    @ 30     sex            1.
  @ 49     educ           1.    @ 51     eversmk        2.
  @230     alcbl          2.    @236     sebl_1         1. 
  @246     sebl_6         1. ;

LABEL clinic = 'Clinical Center';
LABEL group  = 'Drug Treatment Group';
LABEL educ   = 'Highest Education Attained';
LABEL sebl_1 = 'Patient Report Drowsiness';
LABEL sebl_6 = 'Patient Report Headaches';
LABEL alcbl  = 'Alcoholic Drinks Per Week';
LABEL eversmk= 'Ever Smoke Cigarettes';


PROC FREQ DATA=tdata; 
 TABLES clinic sebl_6;
 FORMAT clinic $clinic.
	sebl_6 se. ;
 TITLE 'PROC FREQ With Variable and Value Labels';
RUN;

*---------------------------------------------------------------------------*
  Output that usually goes to the .lst file can be easily directed to an HTML
  file which will contain HTML code of the output.  This can then be
  viewed on the Web or imported into Word or Excel
*---------------------------------------------------------------------------*;

ODS HTML FILE='educ.html';
PROC FREQ DATA=tdata ;
 TABLES educ; FORMAT educ educ.;
 TITLE 'HTML Output From PROC FREQ';
RUN;
ODS HTML CLOSE;

