* PUBH 6400 ;
* program08.sas ;
* Working with dates;

DATA age;
 INFILE '~/SAS_Files/tomhs.data';
 INPUT
  @ 14     randdate       mmddyy10.
  @ 34     brthdate       mmddyy10.
  @ 74     date12         mmddyy10. ;

agedays = randdate - brthdate ;
ageyrs  = (randdate - brthdate)/365.25;
ageint  = INT( (randdate - brthdate)/365.25);

ageyrsx = yrdif(brthdate,randdate,'Actual');
yrrand = YEAR(randdate);

PROC PRINT DATA=age (obs=10);
 VAR brthdate randdate agedays ageyrs ageint agetoday;
TITLE 'Printing Dates Without a Date Format';
RUN;

PROC PRINT DATA=age (obs=10);
 VAR brthdate randdate agedays ageyrs ageint agetoday;
 FORMAT brthdate mmddyy10. randdate mmddyy10.;
TITLE 'Printing Dates With a Date Format';
RUN;

PROC FREQ DATA=age; 
 TABLES yrrand ; ;
TITLE 'Frequency Distribution of Year Randomized';
RUN;
