
DATA clinic;
 INFILE DATALINES;
 INPUT id $ sbp ;
DATALINES;
   C03615     115 
   B00979     107
   B00644     138 
   D01348     142
   A01088     117
   B01408     121
   B00025     130
   B00714     144
   A01166     113
   C00601     124
   C01718     153
   D00272     141
   D01909     129
   C00049     140
   C00843     135
   C04595     131
   D02027     126
   D00674     113
   A00869     110
   B00867     114
;
RUN;

DATA lab;
 INPUT id $ glucose ;
 DATALINES;
   C03615     102 
   B00644     089 
   D01348     111
   A01088     093
   B01408     094
   B00025     077
   B00714     100
   A01166     113
   C00601     084
   C01718     085
   D00272     087
   C00049     093
   C00843     097
   C04595     099
   D02027     126
   D00674     140
   A00869     099
   B00867     098
   D00942     103
;
PROC SORT DATA = clinic; BY id;
PROC SORT DATA = lab;    BY id;

PROC PRINT DATA=clinic ; 
 TITLE 'Clinic Dataset Sorted by ID';
RUN;

PROC PRINT DATA=lab ; 
 TITLE 'Lab Dataset Sorted by ID';
RUN;

* Merge data together;
DATA all;
 MERGE clinic lab;
  BY id;
RUN; 

PROC PRINT DATA=all;
 TITLE 'Merged Dataset';
RUN;

* This dataset will include only observations in both datasets; 
DATA study;
 MERGE clinic (IN=in1) lab (IN=in2); BY id;
  if in1 and in2;
 * in1 and in2 are temporary variables = 1 if currently processed obs is in 
   that dataset;
RUN; 

PROC PRINT DATA=study;
 TITLE 'Dataset With Patients with Clinic and Lab Data';
RUN;
