* PUBH 6400 ;
* program11.sas ;
* Reading permanent SAS datasets;

*---------------------------------------------------------------*
 Using permanent SAS data sets allow you to immediately run a
 procedure (PROC) without first running a datastep.
*---------------------------------------------------------------*;

LIBNAME  class '~/SAS_Files' ; * Tells SAS where to find the SAS dataset;

PROC MEANS N MEAN DATA=class.sescore MAXDEC=2 FW=8;
 TITLE 'Means of All Numeric Variables on SAS Permanent Dataset';
RUN;

PROC CORR DATA=class.sescore; 
 VAR wtd12 sbpd12 sescrd12;
 TITLE 'Correlation Matrix of 3 Change Variables';
RUN;

*---------------------------------------------------------------*
 Often you will read the permanent SAS dataset in a DATA step to
 modify or add variables. Usually these will be put on a new
 temporary SAS dataset.  The SET statement reads a SAS dataset
*---------------------------------------------------------------*;

DATA rxdata;
 SET class.sescore;
 if group in(1,2,3,4,5) then rx = 1; else rx = 2;
RUN;

PROC MEANS DATA=rxdata N MEAN MAXDEC=2 FW=7;
 CLASS rx;
 VAR sbpd12 wtd12 sescrd12;
TITLE 'Change in SBP, Weight, and Side Effect Score by Treatment';
RUN;
 
